openmediavault-emby plugin (formerly mediabrowser)

  • The DenyIFrameEmbedding setting for enabling the embedded iFrame web client into OMV's UI is missing from system.xml. Has it been removed as a feature completely, or perhaps moved to another config file? I tried manually adding it into the xml near the bottom, and it did nothing.

  • Got it! You rock!


    Pretty new to the OMV game (actually, more the Linux game in general). Running this all on a Raspberry Pi 3. Even with the bumps along the way, it's running great and I'm very happy with it all.


    Thanks very much for the speedy reply.

  • Sorry for bothering you again ... but I miss my emby.
    I'm on OMV 3.030 and I know that latest mono is buggy that's why emby cannot be installed ... this is at least what I understand.


    In this thread I found a "work around" from @clyir which I would like to clarify.
    As mentioned a clean installation of omv 3.x with btrfs and obviously no emby installed, but mono activated.


    When checking if mono is installed by using dpkg -l | grep mono there is nothing so it seems there is no mono installed, right? But trying to install emby I get an error message saying this version of emby is not compatible ....


    So my question is when using the option purge mone and libmone which plugins are effected or is it just emby?
    @clyir is your work around still working for omv 3.030?


    Thanks,

  • It does work with mono 4.4.1 now. There was a fix just the other day. I will try to finish the new plugin for OMV 3.x this weekend. But I have been busy due to the financial markets. The more volatile they are the less time I have to work on plugins, or helping in the forum. And it is Summer. A week or two seems like an eternity for people that are waiting for something. But it is not. Patience...

  • Sorry, it wasn't an offense at all. I highly appreciate what you and others are contributing in their spare time to omv. For me, as you probably know, as beginner is it also a challenge trying to "fix" something in order to gain experience with linux and omv.


    Best

  • @tekkb saw your comment just above saying it is working with mono 4.4.1 now, can we safely revert the changes we made when we had to downgrade mono and use the proper mono repo again?

  • would these be the correct steps?


    "(Note: some of these commands may do nothing but go through them completely)
    apt-get purge mono*
    apt-get purge libmono*
    apt-get purge openmediavault-emby
    apt-get autoremove


    Then enable the mono repo in OMV Extras.


    cd /etc/apt/sources.list.d
    rm mono-xamarin.list



    apt-get update
    Then install the plugin again."

  • Remove the newly created repo for mono. Re-enable the mono repo. Make sure you have this line for the LINK variable in this file:


    /usr/share/openmediavault/mkconf/openmediavault/emby



    Code
    LINK="https://github.com/MediaBrowser/Emby/releases/latest"

    apt-get update
    omv-update


    Then in the plugin click on the force upgrade button. After it installs wait like 10 seconds and click on restart.

  • When adding my Music library (.mp3 , flac...), after a while Emby becomes unresponsive... and i have to restart the plugin and remove the Music library from Path....


    without the Music folder, Emby runs perfect... anyone else having similar issues?

  • There are probably a few bad files in your music. Emby does play both MP3 and FLAC formats. Did you create the files yourself???? In my experience media services are very delicate when it comes to bad files. They normally crash the service. It is like this with MiniDLNA and Plex as well. Did you test your music with one of those services?

  • Thanks worked well, /usr/share/openmediavault/mkconf/openmediavault was meant to be /usr/share/openmediavault/mkconf/emby but all going and a little faster too it seems

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!